Blob Blame Raw
From 218d6c49c2fb8854ea677e9afad69bd08720ea41 Mon Sep 17 00:00:00 2001
From: Montel Laurent <montel@kde.org>
Date: Sun, 20 Apr 2014 07:39:18 +0200
Subject: [PATCH 1/9] Add automoc, increase cmake version

---
 CMakeLists.txt | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index c9468c5..479c563 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -1,11 +1,17 @@
 project(prison)
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.8 FATAL_ERROR)
+
+# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")
 
 find_package(Qt4 REQUIRED)
 find_package(QRencode REQUIRED)
 find_package(Dmtx REQUIRED)
 
+# Enable CMake's Automoc
+set(CMAKE_AUTOMOC ON)
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
+
 
 include_directories(${CMAKE_SOURCE_DIR}/lib ${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} )
 
-- 
2.5.0